commit:     3d12edfab9f0def9f9756e6a8ec61cfe892cb298
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 18 05:34:02 2019 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Mon Nov 18 05:34:02 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d12edfa

app-misc/ltunify: install udev rules as a doc file

Closes: https://bugs.gentoo.org/601470

Signed-off-by: Tim Harder <radhermit <AT> gentoo.org>

 app-misc/ltunify/ltunify-0.2-r2.ebuild | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/app-misc/ltunify/ltunify-0.2-r2.ebuild 
b/app-misc/ltunify/ltunify-0.2-r2.ebuild
new file mode 100644
index 00000000000..55d2dd4a721
--- /dev/null
+++ b/app-misc/ltunify/ltunify-0.2-r2.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit toolchain-funcs
+
+DESCRIPTION="Tool for working with Logitech Unifying receivers and devices"
+HOMEPAGE="https://lekensteyn.nl/logitech-unifying.html 
https://git.lekensteyn.nl/ltunify/";
+SRC_URI="https://git.lekensteyn.nl/${PN}/snapshot/${P}.tar.gz";
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+src_prepare() {
+       default
+       sed -i '/^override CFLAGS/d' Makefile || die
+       tc-export CC
+}
+
+src_compile() {
+       emake ${PN}
+}
+
+src_install() {
+       dobin ${PN}
+       dodoc NEWS README.txt udev/42-logitech-unify-permissions.rules
+}

Reply via email to